%define upstream_name    Dist-Zilla-Role-BundleDeps
%define upstream_version 0.002005

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Automatically add all plugins in a bundle as dependencies
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta::Requirements)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Test::More) >= 0.890.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This role attempts to solve the problem of communicating dependencies to
META.* from bundles in a different way.

My first attempt was Dist::Zilla::Plugins::Prereqs::Plugins, which added
all values that are seen in the 'dist.ini' to dependencies.

However, that was inherently limited, as the ':version' specifier is lost
before the plugins appear on '$zilla->plugins'

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.2.5-4.mga8
+ Revision: 1504299
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.2.5-3.mga7
+ Revision: 1283375
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.2.5-2.mga7
+ Revision: 1164277
- rebuild with fixed rpm for missing autodeps

* Sat Sep 23 2017 sander85 <sander85> 0.2.5-1.mga7
+ Revision: 1157905
- update to 0.002005

* Sun May 08 2016 shlomif <shlomif> 0.2.3-1.mga6
+ Revision: 1010635
- update to 0.002003

* Fri Feb 19 2016 umeabot <umeabot> 0.2.2-2.mga6
+ Revision: 967803
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 0.2.2-1.mga6
+ Revision: 850239
- update to 0.002002

* Wed Oct 15 2014 umeabot <umeabot> 0.2.1-3.mga5
+ Revision: 748209
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Aug 16 2014 sander85 <sander85> 0.2.1-1.mga5
+ Revision: 664238
- update to 0.002001

* Tue Jul 15 2014 sander85 <sander85> 0.2.0-1.mga5
+ Revision: 653030
- update to 0.002000

* Mon Feb 17 2014 jquelin <jquelin> 0.1.1-1.mga5
+ Revision: 593756
- adding missing buildrequires:
- imported package perl-Dist-Zilla-Role-BundleDeps


* Mon Feb 17 2014 cpan2dist 0.001001-1mga
- initial mageia release, generated with cpan2dist
